// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef PLAYERINFO_H
#define PLAYERINFO_H

#include <QtGui/QWidget>

namespace Ui {
	class PlayerInfo;
}

class PlayerInfo : public QWidget {
	Q_OBJECT

	public:
		PlayerInfo(QWidget *parent = 0);
		~PlayerInfo();
		void setAvatar(QString a);
		void setJailed(bool j);
		void setName(QString n);
		void setMoney(QString m);
		int playerId;

	protected:
		void changeEvent(QEvent *e);

	private:
		Ui::PlayerInfo *m_ui;

	private slots:
		void beginTrade();

	signals:
		void trade(QString cmd);
};

#endif // PLAYERINFO_H
